/* ****************************************************************************
 *
 * rayme - ray tracing application for virtual 3D scenes 
 *
 * ----------------------------------------------------------------------------
 *
 * Andrej Rypak, xrypak@gmail.com, 2011 - 2012
 *
 * Thsesis project - Raytracing of Virtual Graphics Scenes
 * Brno University of Technology, Faculty of Information Technologies
 * Andrej Rypak, xrypak00@stud.fit.vutbr.cz, 2011/2012,
 * under supervision of Jan Peciva, PhD.
 *
 ******************************************************************************/


#ifndef RAYME_SECONDARYRAY_H
#define	RAYME_SECONDARYRAY_H


#include "common.h"
#include "RayIntersector.h"


namespace Rayme {
	class SecondaryRay : public RayIntersector {
	public:
		SecondaryRay(osg::Vec3d start, osg::Vec3d direction, double weight, uchar currentDepth, uchar maxDepth);
		virtual ~SecondaryRay();

	public:

	protected:

	};
}
#endif	/* RAYME_SECONDARYRAY_H */

