/* ****************************************************************************
 *
 * rayme - ray tracing application for virtual 3D scenes 
 *
 * ----------------------------------------------------------------------------
 *
 * Andrej Rypak, xrypak@gmail.com, 2011 - 2012
 *
 * Thsesis project - Raytracing of Virtual Graphics Scenes
 * Brno University of Technology, Faculty of Information Technologies
 * Andrej Rypak, xrypak00@stud.fit.vutbr.cz, 2011/2012,
 * under supervision of Jan Peciva, PhD.
 *
 ******************************************************************************/


#ifndef RAYME_COMMON_H
#define	RAYME_COMMON_H

// stl
#include <iostream>
#include <sstream>
#include <string>
#include <list>
#include <vector>

// QT
//#include "Qt/qglobal.h"

// type macros
#ifndef QGLOBAL_H
#define null NULL
#define uint unsigned int
#define uchar unsigned char
#define ushort unsigned short
#endif

// macros for comuputations
#define MAX(x,y) (((x) > (y)) ? (x) : (y))
#define MIN(x,y) (((x) <= (y)) ? (x) : (y))
#define CLAMP(a) (a>1.0?1.0:a)
#define NONNEGATIVE(a) (a<.0?.0:a)

#endif	/* RAYME_COMMON_H */
