/* ****************************************************************************
 *
 * rayme - ray tracing application for virtual 3D scenes 
 *
 * ----------------------------------------------------------------------------
 *
 * Andrej Rypak, xrypak@gmail.com, 2011 - 2012
 *
 * Thsesis project - Raytracing of Virtual Graphics Scenes
 * Brno University of Technology, Faculty of Information Technologies
 * Andrej Rypak, xrypak00@stud.fit.vutbr.cz, 2011/2012,
 * under supervision of Jan Peciva, PhD.
 *
 ******************************************************************************/


#include "manipulators.h"

using namespace Rayme;


/** Set the position of the manipulator using a 4x4 matrix.*/
void DiscardManipulator::setByMatrix( const osg::Matrixd& matrix )
{
}


/** Set the position of the manipulator using a 4x4 matrix.*/
void DiscardManipulator::setByInverseMatrix( const osg::Matrixd& matrix )
{
}


/** Get the position of the manipulator as 4x4 matrix.*/
osg::Matrixd DiscardManipulator::getMatrix() const
{
   return osg::Matrixd::identity();
}


/** Get the position of the manipulator as a inverse matrix of the manipulator,
    typically used as a model view matrix.*/
osg::Matrixd DiscardManipulator::getInverseMatrix() const
{
   return osg::Matrixd::identity();
}
